View Issue Details

IDProjectCategoryView StatusLast Update
0000007ShelterKaraoke Mugenpublic2019-05-10 22:02
ReporterAxelTerizakiAssigned ToAxelTerizaki 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versionv2 
Summary0000007: Déplacement de fichiers de kmpublic vers kmmedias
DescriptionHier nock a voulu déplacer des fichiers qu'il avaitr uploadé dans kmpublic/nockeries depuis son home, vers kmvideos (toujours depuis son home) mais ça n'a pas voulu marcher.

En prenant son user j'ai regardé et en effet il disait que kmvideos n'était ni un fichier ni un dossier (???) je sais pas trop d'où vient le problème, j'ai déplacé les fichiers directement avec leur chemin complet (pourtant on arrive très bien à faire un cd dans les liens symboliques.)

Y'a p'têt un truc à faire pour permettre le déplacement de n'importe quel fichier vers kmmedias/kmvideos ou alors y'a un truc avec son user en particulier je sais pas
TagsNo tags attached.

Activities

Sestren

Sestren

2019-04-15 18:14

administrator   ~0000010

J'ai regardé sur son user : /home/nock/{kmpublic,kmvideos} sont des liens symboliques qui pointent où il faut.
Il manque plusieurs informations:
* il a uploadé comment ? FTP, ssh, grand-mère, etc
* il a uploadé avec quel user ?
* comment il a essayé de déplacer les fichiers ? (il était connecté comment)
AxelTerizaki

AxelTerizaki

2019-04-15 18:23

administrator   ~0000011

User nock, tout par ftp (il a pas de compte ssh)
Sestren

Sestren

2019-04-16 15:30

administrator   ~0000012

C'est quoi son client ?
AxelTerizaki

AxelTerizaki

2019-04-16 16:17

administrator   ~0000013

Filezilla
Sestren

Sestren

2019-04-17 11:19

administrator   ~0000014

J'ai fait des modifs, il faudrait qu'il reteste
AxelTerizaki

AxelTerizaki

2019-04-17 14:10

administrator   ~0000016

Ok donc après avoir vu avec Sestren, faut déplacer /srv/ftp/virtualusers/karaokemugenpublic dans /srv/karaokemugen/public

Ca évitera les erreurs rencontrées (pas de déplacement de fichiers cross FS)

Ca implique :
- Modifier le chemin du home dans la bdd des virtualusers ftp
- Revérifier les ACL avant et après déplacement
- Modifier le chemin vers KMPublic dans les liens des homes des utilisateurs
AxelTerizaki

AxelTerizaki

2019-05-01 14:47

administrator   ~0000052

Kmeuh a confirmé que ça fonctionnait

Issue History

Date Modified Username Field Change
2019-04-15 16:20 AxelTerizaki New Issue
2019-04-15 18:14 Sestren Note Added: 0000010
2019-04-15 18:23 AxelTerizaki Note Added: 0000011
2019-04-16 15:30 Sestren Note Added: 0000012
2019-04-16 16:17 AxelTerizaki Note Added: 0000013
2019-04-17 11:19 Sestren Note Added: 0000014
2019-04-17 11:20 Sestren Assigned To => Sestren
2019-04-17 11:20 Sestren Status new => assigned
2019-04-17 14:10 AxelTerizaki Note Added: 0000016
2019-04-17 14:10 AxelTerizaki Assigned To Sestren => AxelTerizaki
2019-05-01 14:47 AxelTerizaki Status assigned => resolved
2019-05-01 14:47 AxelTerizaki Resolution open => fixed
2019-05-01 14:47 AxelTerizaki Fixed in Version => v2
2019-05-01 14:47 AxelTerizaki Note Added: 0000052
2019-05-10 22:02 AxelTerizaki Status resolved => closed